Loading...
Searching...
No Matches
pcl::ConditionBase< PointT > Class Template Referenceabstract

Base condition class. More...

`#include <pcl/filters/conditional_removal.h>`

Inheritance diagram for pcl::ConditionBase< PointT >:

## Public Types

using | ComparisonBase = pcl::ComparisonBase<PointT>
using | ComparisonBasePtr = typename ComparisonBase::Ptr
using | ComparisonBaseConstPtr = typename ComparisonBase::ConstPtr
using | Ptr = shared_ptr<ConditionBase<PointT> >
using | ConstPtr = shared_ptr<const ConditionBase<PointT> >

## Public Member Functions

| ConditionBase ()
| Constructor.
virtual | ~ConditionBase ()=default
| Destructor.
void | addComparison (ComparisonBaseConstPtr comparison)
| Add a new comparison.
void | addCondition (Ptr condition)
| Add a nested condition to this condition.
bool | isCapable () const
| Check if evaluation requirements are met.
virtual bool | evaluate (const PointT &point) const =0
| Determine if a point meets this condition.

## Protected Attributes

bool | capable_ {true}
| True if capable.
std::vector< ComparisonBaseConstPtr > | comparisons_
| The collection of all comparisons that need to be verified.
std::vector< Ptr > | conditions_
| The collection of all conditions that need to be verified.

## Detailed Description

template<typename PointT>
class pcl::ConditionBase< PointT >

Base condition class.

Definition at line 447 of file conditional_removal.h.

## Member Typedef Documentation

## ComparisonBase

template<typename PointT>

using pcl::ConditionBase< PointT >::ComparisonBase = pcl::ComparisonBase<PointT>

Definition at line 450 of file conditional_removal.h.

## ComparisonBaseConstPtr

template<typename PointT>

using pcl::ConditionBase< PointT >::ComparisonBaseConstPtr = typename ComparisonBase::ConstPtr

Definition at line 452 of file conditional_removal.h.

## ComparisonBasePtr

template<typename PointT>

using pcl::ConditionBase< PointT >::ComparisonBasePtr = typename ComparisonBase::Ptr

Definition at line 451 of file conditional_removal.h.

## ConstPtr

template<typename PointT>

using pcl::ConditionBase< PointT >::ConstPtr = shared_ptr<const ConditionBase<PointT> >

Definition at line 455 of file conditional_removal.h.

## Ptr

template<typename PointT>

using pcl::ConditionBase< PointT >::Ptr = shared_ptr<ConditionBase<PointT> >

Definition at line 454 of file conditional_removal.h.

## Constructor & Destructor Documentation

## ConditionBase()

template<typename PointT>

pcl::ConditionBase< PointT >::ConditionBase | ( |  | ) |

inline

Constructor.

Definition at line 458 of file conditional_removal.h.

References comparisons_, and conditions_.

Referenced by pcl::ConditionAnd< PointT >::ConditionAnd(), and pcl::ConditionOr< PointT >::ConditionOr().

## ~ConditionBase()

template<typename PointT>

virtual pcl::ConditionBase< PointT >::~ConditionBase | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## addComparison()

template<typename PointT>

void pcl::ConditionBase< PointT >::addComparison | ( | ComparisonBaseConstPtr | comparison | ) |

Add a new comparison.

Parameters

  comparison | the comparison operator to add

Definition at line 561 of file conditional_removal.hpp.

References capable_, and comparisons_.

## addCondition()

template<typename PointT>

void pcl::ConditionBase< PointT >::addCondition | ( | Ptr | condition | ) |

Add a nested condition to this condition.

Parameters

  condition | the nested condition to be added

Definition at line 570 of file conditional_removal.hpp.

References capable_, and conditions_.

## evaluate()

template<typename PointT>

virtual bool pcl::ConditionBase< PointT >::evaluate | ( | const PointT & | point | ) | const

pure virtual

Determine if a point meets this condition.

Returns
  whether the point meets this condition.

Implemented in pcl::ConditionAnd< PointT >, and pcl::ConditionOr< PointT >.

## isCapable()

template<typename PointT>

bool pcl::ConditionBase< PointT >::isCapable | ( |  | ) | const

inline

Check if evaluation requirements are met.

Definition at line 479 of file conditional_removal.h.

References capable_.

## Member Data Documentation

## capable_

template<typename PointT>

bool pcl::ConditionBase< PointT >::capable_ {true}

protected

True if capable.

Definition at line 492 of file conditional_removal.h.

Referenced by addComparison(), addCondition(), and isCapable().

## comparisons_

template<typename PointT>

std::vector<ComparisonBaseConstPtr> pcl::ConditionBase< PointT >::comparisons_

protected

The collection of all comparisons that need to be verified.

Definition at line 495 of file conditional_removal.h.

Referenced by addComparison(), ConditionBase(), pcl::ConditionAnd< PointT >::evaluate(), and pcl::ConditionOr< PointT >::evaluate().

## conditions_

template<typename PointT>

std::vector<Ptr> pcl::ConditionBase< PointT >::conditions_

protected

The collection of all conditions that need to be verified.

Definition at line 498 of file conditional_removal.h.

Referenced by addCondition(), ConditionBase(), pcl::ConditionAnd< PointT >::evaluate(), and pcl::ConditionOr< PointT >::evaluate().

The documentation for this class was generated from the following files:

- pcl/filters/conditional_removal.h
- pcl/filters/impl/conditional_removal.hpp